{% extends 'base.html' %}
{% load static %}

{% block title %}
    {{ post.title_tag }}
{% endblock %}

{% block content %}

    <h1>{{ post.title }}</h1>
    <small>By:
        {{ post.author.first_name }}
        {{ post.author.last_name }} -
        {{ post.post_date }}

        {% if user.is_authenticated %}
            {% if user.id == post.author.id %}
                - <a href="{% url 'update_post' post.pk %}">Edit</a>
                <a href="{% url 'delete_post' post.pk %}">Delete</a>
            {% endif %}
        {% endif %}

    </small><br/>
    <hr>
    {{ post.body|safe }}
    <br/><br/>
        {% if post.header_image %}
            <img src="{{ post.header_image.url }}" class="img-fluid rounded mx-auto d-block">

        {% endif %}



    <hr>
    <br/>



    {#    #}

    {#    #}


    <form action="{% url 'like_post' post.pk %}" method="POST">
        {% csrf_token %}
        {% if user.is_authenticated %}
            {% if liked %}
                <button type="submit" , name="post_id" , value="{{ post.id }}" , class="btn btn-danger btn-sm">Unlike
                </button>
            {% else %}
                <button type="submit" , name="post_id" , value="{{ post.id }}" , class="btn btn-primary btn-sm">Like
                </button>
            {% endif %}
        {% else %}
            <small><a href="{% url 'login' %}">Login</a> to like</small>
        {% endif %}
        - {{ total_likes }} Likes

    </form>
    <br/><br/>

    <div class="card border-dark mb-3">

        <div class="row no-gutter">
            <div class="col-md-2">

                {% if post.author.profile.profile_pic %}
                    <img src="{{ post.author.profile.profile_pic.url }}"
                         class="img-fluid rounded mx-auto d-block">
                {% else %}
                    <img src="{% static 'lorenzo_barone/images/user.png' %}"
                         class="img-fluid rounded mx-auto d-block">
                {% endif %}
            </div>
            <div class="col-md-10">
                <div class="card-body">
                    <h5 class="card-title">
                        {{ post.author.first_name }}
                        {{ post.author.last_name }}
                    </h5>
                    <p class="small text-muted">
                        {% if post.author.profile.id %}
                            <a href="{% url 'show_profile_page' post.author.profile.id %}">Profile Page</a>
                        {% endif %}

                        {% if post.author.profile.website_url %}
                            |  <a href="{{ post.author.profile.website_url }}">Website</a>
                        {% endif %}
                        {% if post.author.profile.facebook_url %}
                            | <a href="{{ post.author.profile.facebook_url }}">Facebook</a>
                        {% endif %}
                        {% if post.author.profile.instagram_url %}
                            | <a href="{{ post.author.profile.instagram_url }}">Instagram</a>
                            {% if post.author.profile.youtube_url %}
                            {% endif %}
                            | <a href="{{ post.author.profile.youtube_url }}">Youtube</a>
                        {% endif %}
                    </p>


                    <p class="card-text">
                        {{ post.author.profile.bio }}
                    </p>
                    <p class="card-text"><small class="text-muted">{{ post.post_date }}</small></p>
                </div>
            </div>
        </div>
    </div>


    <br/>
    <h2>Comments</h2>
    <br/>
    {% if not post.comments.all %}
        No Comments Yet...<a href="{% url 'add_comment' post.pk %}">Add one</a>
        <br/><br/>
    {% else %}
        <a href="{% url 'add_comment' post.pk %} ">Add Comment</a>
        <br/><br/>
        {% for comment in post.comments.all %}
            <strong>
                {{ comment.name }} -
                {{ comment.date_added }}
            </strong>
            <br/>
            {{ comment.body }}
            <br/>
        {% endfor %}
    {% endif %}
    <br/>



    <br/><br/>
{% endblock %}